Subject: Re: [Iasa20] Errata

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 1 Nov 2018 18:02:52 +0000

Alissa - very helpful - thanks!

Bob - Good point that a possible centralized doc update won't work in all cases. 

WG - We can take a look at this early next week.

Jason

On 10/31/18, 3:51 PM, "iasa20 on behalf of Bob Hinden" <[email-masked] on behalf of [email-masked]> wrote:

    Ted,
    
    > On Oct 31, 2018, at 9:34 AM, Ted Hardie <[email-masked]> wrote:
    > 
    > On Wed, Oct 31, 2018 at 7:02 AM Alissa Cooper <[email-masked]> wrote:
    > I’ve heard from the RFC Editor that processing document updates of the sort this WG is chartered to work on as errata is not in line with how they typically interpret <https://www.ietf.org/blog/iesg-processing-rfc-errata-ietf-stream/>. That is, they don’t consider things like changing the title of “IETF Executive Director” to be bug fixes. So for the docs where the plan is to file errata or where errata have already been filed, the WG may want to revisit those plans.
    > 
    > While I don't wish to push back too hard on this, I think this reading is a little narrow.  In all of these cases we have identified a bug in the spec:  it was tailored to an implementation rather than to the function, giving a specific name rather than describing the job being done.  That was a useful shorthand when we had a single implementation, but this situation has shown us it was a bug and should be fixed.
    
    For some documents, in hindsight, it should have only talked about the IASA, not the IAOC.
    
    However, for other documents, for example one that describes how people are appointed to the IAOC, the this is not an error.  These documents do need to be updated.
    
    In the first case (simple change s/IAOC/LLC/), I don’t think this is an errata.  The original RFC was correct when written an approved, there is no bug.   What changed would elsewhere.   The thing that changed, has the responsibility to be specifying other things that need to change.   In this case, this falls to the IASA 2.0 w.g. to do these updates (either BIS or Updating documents).
    
    Bob

    > 
    > That means that we can't just s/IAOC/LLC/, because that just shifts the bug to the new implementation.  We have to update the language to actually allow for the kind of evolution of implementation that we now have evidence occurs.  To my way of thinking, that means an erratum is a correct first step--it notes the error, notes the community acceptance that it is an error, and marks it "hold for update".
    > 
    > Of course, we have to then actually run the update process then.  But because of the other things that have changed, that's a larger process and likely one that has to go elsewhere than this group.
    >